#include "pch.h"

#pragma once
#include <BWAPI.h>

#include "../Source/BWEM/src/bwem.h";
#include "../Source/Util.h";

using namespace BWAPI;

namespace CBaseTest
{
	TEST(CBaseTest, DISABLED_addWorker)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_desiredSporeCount)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_desiredSunkenCount)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_extractorsBuilt)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_getDefense)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_getResources)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_initialize)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_initializeResources)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_isExposedToCenter)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_isSaturated)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_isStartLocation)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_setDefenseLocation)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_subtractWorker)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(CBaseTest, DISABLED_techCount)
	{
		EXPECT_EQ(0, 0);
	}
}

class MockCBase : public CBase
{
	public:

};